Bug 66617 - chart2 unoapi test fails on sch.ChXDiagram::com::sun::star::chart::ChartStatistics::RegressionCurves
Summary: chart2 unoapi test fails on sch.ChXDiagram::com::sun::star::chart::ChartStati...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.3.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Chart
  Show dependency treegraph
 
Reported: 2013-07-05 11:47 UTC by Michael Stahl (CIB)
Modified: 2019-03-18 21:45 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Stahl (CIB) 2013-07-05 11:47:06 UTC
LOG> Execute: RegressionCurves
LOG> try to set:
LOG> old = com.sun.star.chart.ChartRegressionCurveType@19dda5ce
LOG> new = com.sun.star.chart.ChartRegressionCurveType@26b084a6
LOG> Value for 'RegressionCurves' hasn't changed as expected
LOG> result = com.sun.star.chart.ChartRegressionCurveType@19dda5ce
Method RegressionCurves finished with state FAILED
LOG> RegressionCurves: PASSED.FAILED
***** State for sch.ChXDiagram::com::sun::star::chart::ChartStatistics ******
[sch.ChXDiagram::com::sun::star::chart::ChartStatistics::RegressionCurves] is testcode: [RegressionCurves] - PASSED.FAILED



i don't know if this is a real problem or another case of overly generic
PropertySet testing in qadevOOo.

should setting the property perhaps raise and IllegalArgumentExceptoin?

have temporarily disabled the test with 6be6700edb3b704d62d8b331ba95f227617c57d3
Comment 1 Markus Mohrhard 2014-05-01 00:39:15 UTC
I could not reproduce it so I enabled the test for now again. Let us see if it fails somewhere so I can debug it.
Comment 2 Markus Mohrhard 2014-05-01 18:14:19 UTC
Fails right now on the @50 tinderbox so I'm debugging it there.
Comment 3 Markus Mohrhard 2014-05-04 00:28:26 UTC
It is a regression from 1cd3e2038010cb37bda82d38dd058b793b7eec26 in chart2/source/controller/chartapiwrapper/WrappedStatisticProperties.cxx

I"m currently looking into fixes for the problem.
Comment 4 Commit Notification 2014-05-04 12:47:46 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ae1d664008edeb509829265e92ba778d00858d8a

Revert "Revert "temporarily disable failing , fdo#66617



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Julien Nabet 2014-05-04 16:18:57 UTC
Giving a try to this junit test, I noticed 2 things:
1) chart2/source/controller/chartapiwrapper/WrappedStatisticProperties.cxx blends 2 cases: 
::com::sun::star::chart::ChartRegressionCurveType_POLYNOMIAL and ::com::sun::star::chart::ChartRegressionCurveType_POWER cases

See http://opengrok.libreoffice.org/xref/core/chart2/source/controller/chartapiwrapper/WrappedStatisticProperties.cxx#91

2) Some lines above, RegressionCurveHelper::REGRESSION_TYPE_MEAN_VALUE isn't taken into account. See http://opengrok.libreoffice.org/xref/core/chart2/source/controller/chartapiwrapper/WrappedStatisticProperties.cxx#61
However ChartRegressionCurveType_MEAN doesn't exist because not declared in offapi/type_reference/offapi.idl, see http://opengrok.libreoffice.org/xref/core/offapi/type_reference/offapi.idl#2575

For the moment, I try to build this but have this:
[build HPP] bridgetest
[build JVM] CustomTarget/testtools/bridgetest_javamaker/done
enum type com.sun.star.chart.ChartRegressionCurveType number of members changed from 7 to 6
make[1]: *** [/home/julien/compile-libreoffice/libreoffice/workdir/UnoApiTarget/offapi.rdb] Erreur 1
make[1]: *** Suppression du fichier « /home/julien/compile-libreoffice/libreoffice/workdir/UnoApiTarget/offapi.rdb »

(whereas I runned a make offapi.clean && make chart2.clean)
Comment 6 Markus Mohrhard 2014-05-04 18:23:38 UTC
(In reply to comment #5)
> Giving a try to this junit test, I noticed 2 things:
> 1) chart2/source/controller/chartapiwrapper/WrappedStatisticProperties.cxx
> blends 2 cases: 
> ::com::sun::star::chart::ChartRegressionCurveType_POLYNOMIAL and
> ::com::sun::star::chart::ChartRegressionCurveType_POWER cases
> 
> See
> http://opengrok.libreoffice.org/xref/core/chart2/source/controller/
> chartapiwrapper/WrappedStatisticProperties.cxx#91
> 
> 2) Some lines above, RegressionCurveHelper::REGRESSION_TYPE_MEAN_VALUE isn't
> taken into account. See
> http://opengrok.libreoffice.org/xref/core/chart2/source/controller/
> chartapiwrapper/WrappedStatisticProperties.cxx#61
> However ChartRegressionCurveType_MEAN doesn't exist because not declared in
> offapi/type_reference/offapi.idl, see
> http://opengrok.libreoffice.org/xref/core/offapi/type_reference/offapi.
> idl#2575
> 
> For the moment, I try to build this but have this:
> [build HPP] bridgetest
> [build JVM] CustomTarget/testtools/bridgetest_javamaker/done
> enum type com.sun.star.chart.ChartRegressionCurveType number of members
> changed from 7 to 6
> make[1]: ***
> [/home/julien/compile-libreoffice/libreoffice/workdir/UnoApiTarget/offapi.
> rdb] Erreur 1
> make[1]: *** Suppression du fichier «
> /home/julien/compile-libreoffice/libreoffice/workdir/UnoApiTarget/offapi.rdb
> »
> 
> (whereas I runned a make offapi.clean && make chart2.clean)

In comment 3 is already the place and the commit that is the problem. The problem with fixing it is that we need to switch from using chart1 API to chart2 API in import/export and then restore the old behavior in the chart1 API.
Comment 7 steve -_- 2015-10-21 16:26:41 UTC
Nothing happened for over 1 year. Freeing this bug. Markus if you still want to work on this just re-assign yourself.
Comment 8 Xisco Faulí 2016-09-12 12:14:56 UTC
Adding keyword 'bibisectRequest'.
Comment 9 Xisco Faulí 2016-10-06 20:57:21 UTC
Adding Cc: to Tomaž Vajngerl
Comment 10 QA Administrators 2017-10-23 14:13:24 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug